/*
 * Copyright (c) 2021 NVIDIA CORPORATION & AFFILIATES, ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of NVIDIA CORPORATION &
 * AFFILIATES (the "Company") and all right, title, and interest in and to the
 * software product, including all associated intellectual property rights, are
 * and shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 *
 */

#include "apsh_instance.h"

status_t
v2p_ept_4l(apsh_instance_t apsh, addr_t UNUSED(npt), page_mode_t UNUSED(npm), addr_t pt,
	   addr_t vaddr, page_info_t *info)
{
	return apsh->arch_interface.lookup[APSH_PM_IA32E](apsh, 0, 0, pt, vaddr, info);
}

GSList *
get_pages_ept_4l(apsh_instance_t apsh, addr_t UNUSED(npt), page_mode_t UNUSED(npm), addr_t pt)
{
	return apsh->arch_interface.get_pages[APSH_PM_IA32E](apsh, 0, 0, pt);
}
